Subject: Re: What's cooking in git.git (Apr 2023, #03; Tue, 11)

From: Junio C Hamano <[email-masked]>
Date: Thu, 13 Apr 2023 18:13:48 -0700

Victoria Dye <[email-masked]> writes:

> Junio C Hamano wrote:
>> * rn/sparse-diff-index (2023-04-10) 1 commit
> ...
> I just sent a review of the newest version [1] ...

Thanks.

>> * rn/sparse-describe (2023-04-03) 1 commit
>>  - describe: enable sparse index for describe
>> ... 
> This looks good to me, agreed that it's ready for 'next'.

Yeah, thanks for helping the author to polish the topic into a very
good shape.

>> * sl/sparse-write-tree (2023-04-04) 1 commit
> ...
> Sorry for getting to this one so late - I did have some comments [2] on the
> tests in this patch that weren't addressed. However, I'm fairly certain the
> integration itself is correct, so I may just submit the test updates as a
> separate patch in the (near-ish?) future.

Again, very much appreciated.

>> * sl/diff-files-sparse (2023-03-22) 2 commits
>>  - diff-files: integrate with sparse index
>>  - t1092: add tests for `git diff-files`
>> 
>>  Teach "diff-files" not to expand sparse-index unless needed.
>> 
>>  Comments?
>>  source: <[email-masked]>
>
> I also just sent a review for this one [3] [4], ...

Yup, I saw them.  Looked very sensible.

Thanks.